## castle-combat 0.8.1.dfsg.1

=== debian/changelog ===
castle-combat (0.8.1.dfsg.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616773).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 26 May 2013 21:45:32 +0200

castle-combat (0.8.1.dfsg.1-3) unstable; urgency=low

  * Convert to debian source format 3.0
  * Convert dpatch usage to quilt
  * Add missing misc:Depends to binary package dependencies
  * Add debian/watch file
  * Add 19-string-exceptions-patch for Python 2.6 compatibility
    (Closes: #585200)

 -- John Lightsey <lightsey@debian.org>  Mon, 28 Jun 2010 20:30:36 -0500

castle-combat (0.8.1.dfsg.1-2) unstable; urgency=low

  * Add patches 17 and 18 to replace usage of Numeric with numpy
    (Closes: #478440)

 -- John Lightsey <lightsey@debian.org>  Sun, 27 Sep 2009 18:47:00 -0500

castle-combat (0.8.1.dfsg.1-1) unstable; urgency=low

  * Acknowledge NMU, thanks Ana (Closes: #393752)
  * Switch from VeraSeBd font to DejaVuSerif-Bold (Closes: #461250)
  * Change homepage in description to homepage field in debian/control

 -- John Lightsey <lightsey@debian.org>  Tue, 20 May 2008 00:15:00 -0500

castle-combat (0.8.1.dfsg.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version name for DFSG-free Debian version.  Note that this is
    the same upstream version as previously, but with the undistributable font
    removed. (Closes: 393752)
  * Removed dh_python, not longer necessary.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 29 Oct 2006 21:33:53 +0100

castle-combat (0.8.1-2) unstable; urgency=low

  * Convert to updated Python policy
    Thanks to Matthias Klose for patch
    closes: #377325
  * Added dependency on python-numeric-ext

 -- John Lightsey <lightsey@debian.org>  Thu,  13 Jul 2006 16:22:00 -0600

castle-combat (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Rewrote 16-no_sound_device.dpatch

 -- John Lightsey <lightsey@debian.org>  Wed,  21 Jun 2006 02:28:00 -0600

castle-combat (0.8.0-3) unstable; urgency=low

  * Added patch to eliminate crash when no sound device is available.
    closes: #369551
  * Updated Depends line in debian/control to prepare for
    Python2.4 migration.
  * Changed Build-Depends-Indep to Build-Depends in debian/control
  * Updated standards version to 3.7.2.0
  * Updated dates in debian/copyright

 -- John Lightsey <lightsey@debian.org>  Wed,  07 Jun 2006 15:10:00 -0600
  

castle-combat (0.8.0-2) unstable; urgency=low

  * Changed dependency on ttf-larabie-straight (non-free) to
    ttf-bitstream-vera (main) and updated font path in patch 11

 -- John Lightsey <lightsey@debian.org>  Fri,  09 Dec 2005 19:16:00 -0600
  

castle-combat (0.8.0-1) unstable; urgency=low

  * new upstream release
    - up to date version
      closes: #342190
    - game has been rewritten from scratch in python
      which should fix stability problems
      closes: #220895
    - castle-combat netcode has been rewritten to use
      python-twisted and should no longer force the player to
      wait on sockets after crashes
      closes: #220896
  * castle-combat-data has been merged back into castle-combat,
    eliminating circular dependency problems
    closes: #339918
  * gender specific language removed from package descriptions
    closes: #342188
  * updated maintainer email in debian/control and debian/copyright
  * debian/rules updated
  * debian specific changes now cleanly separated into debian/patches
    using dpatch
  * added 16x16 and 32x32 menu icons
  * castle-combat manpage updated
  * castle-combat-server manpage removed
  * updated standards version to 3.6.2.0

 -- John Lightsey <lightsey@debian.org>  Thu,  08 Dec 2005 10:48:00 -0600

castle-combat (0.7.4-5) unstable; urgency=low

  * moved graphics and sound files into castle-combat-data package
    closes: #233330
  * updated license text in debian/copyright
  * updated descriptions in debian/control

 -- John Lightsey <john@nixnuts.net>  Wed,  18 Feb 2004 01:06:05 -0600

castle-combat (0.7.4-4) unstable; urgency=low

  * New Maintainer
    Thanks to Clint Adams for his past work on castle-combat
    closes: #224293
  * updated debian/copyright
  * updated debian/control
  * fixed unsigned char problems on ppc
    src/build.c
    src/game.c
    src/game.h
  * added -mieee to alpha CFLAGS to fix floating point exceptions
  * fixed debian/rules to handle DEB_BUILD_OPTIONS=nostrip properly
  * fixed several minor gcc 3.3 warnings

 -- John Lightsey <john@nixnuts.net>  Wed,  7 Jan 2004 11:29:12 -0600

castle-combat (0.7.4-3) unstable; urgency=high

  * Patch from Steve Kemp to fix unbounded use of HOME.  closes: #220217.
  * Remove debian/files on clean target.  closes: #218347.

 -- Clint Adams <schizo@debian.org>  Sat, 15 Nov 2003 10:48:43 -0500

castle-combat (0.7.4-2) unstable; urgency=medium

  * Use modern config.{guess,sub}.  Should fix build problems on
    ia64 (closes: #217978) and hppa (closes: #218113).

 -- Clint Adams <schizo@debian.org>  Wed, 29 Oct 2003 08:48:30 -0500

castle-combat (0.7.4-1) unstable; urgency=low

  * New upstream release.  closes: #217884. 
  * Bump Standards-Version to 3.6.1.

 -- Clint Adams <schizo@debian.org>  Mon, 27 Oct 2003 19:08:46 -0500

castle-combat (0.7.3-2) unstable; urgency=medium

  * Apply patch from Steve Kemp to fix local buffer overflow
    vulnerability.  closes: #203228.
  * Bump Standards-Version to 3.6.0.
  * Stop using debhelper.

 -- Clint Adams <schizo@debian.org>  Sun,  3 Aug 2003 11:06:43 -0400

castle-combat (0.7.3-1) unstable; urgency=low

  * New upstream release.
  * This supposedly works around the mysterious invisible wall bug.
    closes: #181441.

 -- Clint Adams <schizo@debian.org>  Sun, 13 Apr 2003 12:39:59 -0400

castle-combat (0.7.2-5) unstable; urgency=low

  * Refer to /usr/share/common-licenses in copyright file.

 -- Clint Adams <schizo@debian.org>  Sun,  2 Feb 2003 01:58:45 -0500

castle-combat (0.7.2-4) unstable; urgency=low


