=== debian/control ===
Source: castle-combat
Section: games
Priority: optional
Maintainer: John Lightsey <lightsey@debian.org>
Build-Depends: quilt (>= 0.40), debhelper (>= 5.0.37.2), python (>= 2.6.6-3~)
Standards-Version: 3.7.2.0

Package: castle-combat
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-twisted, python-pygame, ttf-dejavu-core, python-numpy
Provides: castle-combat-data
Replaces: castle-combat-data (<< 0.8.0)
Conflicts: castle-combat-data (<< 0.8.0)
Description: game where the player builds one castle and destroys others
 A clone of the old DOS game Rampart. Up to four players (or
 more in future versions) build castle walls, place cannons
 inside these walls, and shoot at the walls of their enemy(s). If
 a player can't complete a wall around any castle, the player loses.
 The last surviving player wins.
Homepage: http://www.linux-games.com/castle-combat/
