=== debian/rules ===
#!/usr/bin/make -f

define checkdir
	test -f debian/rules
endef

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

ifneq (,$(findstring alpha,$(DEB_BUILD_GNU_TYPE)))
  CFLAGS += -mieee
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL_PROGRAM += -s
endif

include /usr/share/quilt/quilt.make

configure: configure-stamp
configure-stamp: patch
	$(checkdir)
	
	# No configuration necessary for this package

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	$(checkdir)
	
	#No compilation necessary for this package
	
	touch build-stamp

clean: clean1 unpatch
clean1: checkroot
	rm -f build-stamp configure-stamp debian/files
	rm -f debian/castle-combat.substvars
	rm -rf debian/castle-combat
	dh_clean

install: build checkroot
	rm -f debian/castle-combat.substvars
	rm -rf debian/castle-combat
	$(INSTALL_DIR) debian/castle-combat debian/castle-combat/usr/games \
		debian/castle-combat/usr/share/games/castle-combat \
		debian/castle-combat/usr/share/games/castle-combat/data \
		debian/castle-combat/usr/share/games/castle-combat/data/gfx \
		debian/castle-combat/usr/share/games/castle-combat/data/sound \
		debian/castle-combat/usr/share/games/castle-combat/data/doc \
		debian/castle-combat/usr/share/games/castle-combat/scripts
	$(INSTALL_SCRIPT) castle-combat.py debian/castle-combat/usr/games/castle-combat 
	for FILE in `ls src | grep "\.py$$"` ; do $(INSTALL_FILE) src/$$FILE debian/castle-combat/usr/share/games/castle-combat/scripts/$$FILE ; done
	for FILE in `ls data/gfx` ; do $(INSTALL_FILE) data/gfx/$$FILE debian/castle-combat/usr/share/games/castle-combat/data/gfx/$$FILE ; done
	for FILE in `ls data/doc` ; do $(INSTALL_FILE) data/doc/$$FILE debian/castle-combat/usr/share/games/castle-combat/data/doc/$$FILE ; done
	for FILE in `ls data/sound` ; do $(INSTALL_FILE) data/sound/$$FILE debian/castle-combat/usr/share/games/castle-combat/data/sound/$$FILE ; done
	#$(INSTALL_FILE) data/font_read_me.html debian/castle-combat/usr/share/games/castle-combat/data/font_read_me.html
	$(INSTALL_DIR) debian/castle-combat/usr/share/man/man6/
	$(INSTALL_FILE) debian/castle-combat.6 debian/castle-combat/usr/share/man/man6/castle-combat.6
	$(INSTALL_DIR) debian/castle-combat/usr/share/pixmaps/
	$(INSTALL_FILE) debian/castle-combat-16.xpm debian/castle-combat/usr/share/pixmaps/castle-combat-16.xpm
	$(INSTALL_FILE) debian/castle-combat-32.xpm debian/castle-combat/usr/share/pixmaps/castle-combat-32.xpm


# Build architecture-dependent files here.
binary-arch: build install
	# Nothing to do

# Build architecture-dependent files here.
binary-indep: build install checkroot
	dh_testdir
	dh_testroot
	dh_installdocs -i README TODO
	dh_installchangelogs -i
	dh_installmenu -i
	dh_python2 -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

checkroot:
	$(checkdir)
	test root = "`whoami`"
