=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d+$// http://sf.net/castle-combat/castle-combat-(.+)\.tar\.gz
